package com.chinaitop.depot.intelligent.grainsituation.model;

import java.math.BigDecimal;
import java.util.Date;

public class TDcsdata {
    private String id;

    private String orgId;

    private String vDcsCode;

    private Integer iTdh;

    private BigDecimal iValue;

    private String vDevKindCode;

    private Date vUpdateTime;

    private String dataSource;

    private String vRemark;

    /**
     * 气体数据表id
     * @return id 气体数据表id
     */
    public String getId() {
        return id;
    }

    /**
     * 气体数据表id
     * @param id 气体数据表id
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 
     * @return org_id 
     */
    public String getOrgId() {
        return orgId;
    }

    /**
     * 
     * @param orgId 
     */
    public void setOrgId(String orgId) {
        this.orgId = orgId == null ? null : orgId.trim();
    }

    /**
     * 设备code
     * @return v_dcs_code 设备code
     */
    public String getvDcsCode() {
        return vDcsCode;
    }

    /**
     * 设备code
     * @param vDcsCode 设备code
     */
    public void setvDcsCode(String vDcsCode) {
        this.vDcsCode = vDcsCode == null ? null : vDcsCode.trim();
    }

    /**
     * 通道号
     * @return i_tdh 通道号
     */
    public Integer getiTdh() {
        return iTdh;
    }

    /**
     * 通道号
     * @param iTdh 通道号
     */
    public void setiTdh(Integer iTdh) {
        this.iTdh = iTdh;
    }

    /**
     * 通道值
     * @return i_value 通道值
     */
    public BigDecimal getiValue() {
        return iValue;
    }

    /**
     * 通道值
     * @param iValue 通道值
     */
    public void setiValue(BigDecimal iValue) {
        this.iValue = iValue;
    }

    /**
     * 数据类型（PH3/CO2/O2)
     * @return v_dev_kind_code 数据类型（PH3/CO2/O2)
     */
    public String getvDevKindCode() {
        return vDevKindCode;
    }

    /**
     * 数据类型（PH3/CO2/O2)
     * @param vDevKindCode 数据类型（PH3/CO2/O2)
     */
    public void setvDevKindCode(String vDevKindCode) {
        this.vDevKindCode = vDevKindCode == null ? null : vDevKindCode.trim();
    }

    /**
     * 检测时间
     * @return v_update_time 检测时间
     */
    public Date getvUpdateTime() {
        return vUpdateTime;
    }

    /**
     * 检测时间
     * @param vUpdateTime 检测时间
     */
    public void setvUpdateTime(Date vUpdateTime) {
        this.vUpdateTime = vUpdateTime;
    }

    /**
     * 
     * @return data_source 
     */
    public String getDataSource() {
        return dataSource;
    }

    /**
     * 
     * @param dataSource 
     */
    public void setDataSource(String dataSource) {
        this.dataSource = dataSource == null ? null : dataSource.trim();
    }

    /**
     * 描述
     * @return v_remark 描述
     */
    public String getvRemark() {
        return vRemark;
    }

    /**
     * 描述
     * @param vRemark 描述
     */
    public void setvRemark(String vRemark) {
        this.vRemark = vRemark == null ? null : vRemark.trim();
    }
}